"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useEventListener = void 0;

var _react = require("react");

var _reactNative = require("react-native");

const useEventListener = (eventName, listener) => {
  (0, _react.useEffect)(() => {
    let eventEmitter;

    if (eventName) {
      eventEmitter = new _reactNative.NativeEventEmitter(_reactNative.NativeModules.SyrfClient);
      eventEmitter.addListener(eventName, listener);
    }

    return () => {
      if (eventName) {
        eventEmitter.removeAllListeners(eventName);
      }
    };
  }, [eventName, listener]);
};

exports.useEventListener = useEventListener;
//# sourceMappingURL=useEventListener.js.map