import { useEffect } from 'react';
import { NativeEventEmitter, NativeModules } from 'react-native';
export const useEventListener = (eventName, listener) => {
  useEffect(() => {
    let eventEmitter;

    if (eventName) {
      eventEmitter = new NativeEventEmitter(NativeModules.SyrfClient);
      eventEmitter.addListener(eventName, listener);
    }

    return () => {
      if (eventName) {
        eventEmitter.removeAllListeners(eventName);
      }
    };
  }, [eventName, listener]);
};
//# sourceMappingURL=useEventListener.js.map